@echo on

Title Administrative Wake-on-LAN for Windows XP
color 0a

set CurDir=%CD%

rem Windows XP ONLY
rem set this for hidden pre-launch that will load the WOSB to wakeup and defrag
rem to be set for something like 14:00:00 or 15:00:00, for afternoon
set preload=14:00:00

REM SET ACTUAL DEFRAG TIME WITH THESE 2 SETTINGS
rem Windows XP set this for actual defrag time
rem to be set for something like 02:00 am for early morning
set time1=02:00 am

rem DELETES OLD SLEEPDELAY SCHEDULE
%windir%\system32\schtasks.exe /delete /tn "SleepDelay" /f

REM KILL ANY CURRENTLY RUNNING WOSB.EXE - WAKE ON STANDBY
%windir%\system32\taskkill.exe /f /im wosb.exe

REM COPIES OVER FILES
REM WAKEONLAN CLIENT
copy /y /v "%CurDir%\wosb.exe" \\%computername%\c$\windows\system32\wosb.exe
copy /y /v "c:\Program Files\LANDesk\LDClient\sdmcache\apps\StudentApps\WOLScript\wosb.exe \\%computername%\c$\windows\system32\wosb.exe

REM SLEEP COMMAND - TO STAY AWAY 6 HOURS
copy /y /v "%CurDir%\sleep.exe" \\%computername%\c$\windows\system32\sleep.exe
copy /y /v "c:\Program Files\LANDesk\LDClient\sdmcache\apps\StudentApps\WOLScript\sleep.exe \\%computername%\c$\windows\system32\sleep.exe

REM COMMAND FILE TO BE RUN THAT CAUSES THE MACHINE NOT TO SLEEP
copy /y /v "%CurDir%\NoStandby.cmd" \\%computername%\c$\windows\system32\NoStandby.cmd
copy /y /v "c:\Program Files\LANDesk\LDClient\sdmcache\apps\StudentApps\WOLScript\NoStandby.cmd \\%computername%\c$\windows\system32\NoStandby.cmd


EM WIN XP 
REM CREATES THE COMMAND FILE - you can add other things you would like to do upon wake
REM BEGIN ----------------------------------------------------------------------------------------
REM EVENT LOG
echo %windir%\system32\EVENTCREATE.exe /T INFORMATION /ID 777 /d "WOL Script STARTED" >C:\Windows\System32\WOL_Commands.cmd

REM CREATES TEMPORARY SLEEPDELAY TASK - CAUSES MACHINE TO STAY AWAKE
echo %windir%\system32\schtasks.exe /create /SC MINUTE /MO 15 /TN SleepDelay /TR "c:\windows\system32\NoStandby.cmd" /ST 02:05:00 /SD 07/17/2013 /RU "SYSTEM" >>C:\Windows\System32\WOL_Commands.cmd

REM RUNS TEMPORARY SLEEPDELAY (WILL END IN 6 HOURS BY BEING DELETED)
echo %windir%\system32\schtasks.exe /run /TN SleepDelay >>C:\Windows\System32\WOL_Commands.cmd

REM RUN YOUR COMMANDS HERE - DEFRAG TO BE USED FOR TESTING
echo start /wait C:\Windows\System32\defrag.exe C: -f >>C:\Windows\System32\WOL_Commands.cmd
REM ADDS TIMING TO SCRIPT
echo %windir%\system32\ping.exe -n 30 127.0.0.1 >>c:\windows\system32\WOL_Commands.cmd

REM WAIT 6 HOURS
echo %windir%\system32\sleep.exe 21600 >>c:\windows\system32\WOL_Commands.cmd

rem DELETES THE TEMPORARY SLEEP DELAY SCHEDULE
echo %windir%\system32\schtasks.exe /delete /tn "SleepDelay" /f >>c:\windows\system32\WOL_Commands.cmd

REM EVENT LOG
echo %windir%\system32\EVENTCREATE.exe /T INFORMATION /ID 777 /d "WOL Script COMPLETED" >>C:\Windows\System32\WOL_Commands.cmd

REM RESTARTS THE MACHINE - ONCE RESTARTED, THE NORMAL POWER POLICY WILL TAKE OVER
echo %windir%\system32\shutdown.exe -r -f -t 0 >>\\%computername%\c$\windows\system32\WOL_Commands.cmd
rem echo C:\WINDOWS\System32\rundll32.exe PowrProf.dll,SetSuspendState 0,1,0 >>\\%computername%\c$\windows\system32\WOL_Commands.cmd


REM CREATES THE WAKEUP FILE
echo c:\windows\system32\wosb.exe /run /systray tm="%time1%" file="C:\Windows\System32\WOL_Commands.cmd" >c:\windows\system32\wakefile.cmd
REM END ----------------------------------------------------------------------------------------

%windir%\system32\schtasks.exe /delete /tn "WOL_Schedule" /f
%windir%\system32\ping.exe -n 2 127.0.0.1>nul

REM CREATES THE SCHEDULED TASK TO LOAD THE WAKEUP
%windir%\system32\schtasks.exe /create /SC DAILY /TN WOL_Schedule /TR "c:\windows\system32\wakefile.cmd" /ST %preload% /SD 07/17/2013 /RU "SYSTEM"
REM %windir%\system32\schtasks.exe /create /SC WEEKLY /D WED /TN WOL_Schedule /TR "c:\windows\system32\wakefile.cmd" /ST %preload% /SD 07/17/2013 /RU "SYSTEM"
%windir%\system32\ping.exe -n 4 127.0.0.1>nul

REM RUNS SCHEDULE IMMEDIATELY TO LOAD SETTINGS
%windir%\system32\schtasks.exe /run /TN WOL_Schedule
exit /b 0